import { type TileJson } from './TileJson';
export declare class Tile {
    static fromJson: (json: TileJson | null) => Tile;
    static readonly Null: Tile;
    character: string;
    isBlank: boolean;
    constructor({ character, isBlank }: {
        character: string;
        isBlank?: boolean;
    });
    clone(): Tile;
    equals(other: Tile): boolean;
    toJson(): TileJson | null;
    toString(): string;
}
